package com.alterdekim.game.repository;

import com.alterdekim.game.component.game.BodyPartType;
import com.alterdekim.game.entity.BodyPart;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface BodyPartRepository extends JpaRepository<BodyPart, Long> {
    Optional<BodyPart> findById(Long id);

    @Query(value = "SELECT b FROM BodyPart b WHERE b.type = :type")
    List<BodyPart> findByBodyPartType(@Param("type") BodyPartType type);
}
